package gmt.io.client.event;

public interface IGmtClientEventListener {
	public void readyToSend();
	public void error(String ip, int port, int errorCode, String description);	
	public void disconnected(String ip, int port, int statusCode, String description);	
	public void dataIn();	
	public void connectionStatus(String ip, int port, String connEvent, int statusCode, String description);
	public void connected(String ip, int port, int statusCode, String description);
	public void SSLStatus();	
	public void SSLServerAuthentication();
}
